/*
*  Copyright 2016, University of Texas at Austin, W. Cyrus Proctor
*  Author: W. Cyrus Proctor <cproctor@tacc.utexas.edu>
*
*    This file is part of OpenMFA.
* 
*    OpenMFA is free software: you can redistribute it and/or
*    modify it under the terms of the GNU Affero General Public
*    License as published by the Free Software Foundation, either
*    version 3 of the License, or (at your option) any later
*    version.
* 
*    OpenMFA is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty
*    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
*    the GNU Affero General Public License for more details.
* 
*    You should have received a copy of the GNU Affero General
*    Public License along with OpenMFA. If not, see
*    <http://www.gnu.org/licenses/>.
*/

#include "pam_openmfa.h"

//-----------------------------------------------------------------------------------
// OS agnostic logging function for OpenMFA
//-----------------------------------------------------------------------------------

void openmfa_log(pam_handle_t *pamh, int priority, const char *fmt, ...)
{
 va_list argptr;
 va_start(argptr,fmt);
#ifdef sun
 vsyslog(priority, fmt, argptr);
#else
 pam_vsyslog(pamh, priority, fmt, argptr);
#endif
 va_end(argptr);
}
